<?php
/****************************************************************************************
SMI (Services Maintenance Interventions) est une gestion libre de maintenance et de SAV

Version 0.9.7

Copyright (C) 2006-2007  Sylvain FATOME
This program is free software; you can redistribute it and/or modify it under the terms
of the GNU General Public License as published by the Free Software Foundation; 
either version 2 of the License, or (at your option) any later version.

This program is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY; 
without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
See the GNU General Public License for more details.

You should have received a copy of the GNU General Public License along with this program
(in the directory docs); 
if not, write to the Free Software Foundation, Inc., 51 Franklin Street, Fifth Floor, 
Boston, MA  02110-1301, USA.

Contact : galawa@free.fr

Web : http://smitst.homelinux.com
****************************************************************************************/

session_start(); 
include_once("../inc/config.inc.php");
include_once("../inc/func_log.inc.php");
if (CheckURLLog(FALSE)==FALSE) header("Location: ../index.php");
if (CheckNivLog("5-9")==FALSE) header("Location: ../index.php");
include_once("../inc/func.inc.php");
include_once("../inc/func_geo.inc.php");
include_once("../inc/func_txt.inc.php");
include_once("../inc/fic_dde.inc.php");
Archivelog(@$_SESSION["code_log"]);

$td = strip_tags(trim($_GET['td']));
$coderech = strip_tags(trim($_GET['code']));

$pbm_dded = FALSE;

if ($coderech <> "")
{
	if ($coderech <> "VA")
	{
		// Récupération des informations type de demande
		$row = lit_enr_dded($coderech);
		if (is_array($row))
		{
			extract ($row);
	
			if ($td == "edit")
				$titre = "MISE A JOUR DESTINATAIRE DE DEMANDE";
	
			if ($td == "del")
				$titre = "SUPPRESSION DESTINATAIRE DE DEMANDE";
		}
		else
		{
			$pbm_dded = TRUE;
		}
	}
	else
	{
		$pbm_dded = TRUE;
	}
}
else
{
	if ($td == "add")
		$titre = "CREATION DESTINATAIRE DE DEMANDE";
	else
		$pbm_dded=TRUE;
}
?>
<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<html>
<head>
<meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1">
<title>SMI - ESPACE PRIVE : Fiche d'un destinataire d'une demande</title>

<!-- Feuille de style pour les affichages courants -->
<link href="../css/smi.css" rel="stylesheet" type="text/css">

<!-- Feuille de style & Script pour le menu -->

<script language="JavaScript" src="../jscript/coolmenus/coolmenus4.js"></script>

<!-- Scripts Javascript pour fenêtres -->

<script language="JavaScript" src="../jscript/fen.js"></script>

<!-- Scripts Javascript pour contrôle de formulaire -->
<script	type="text/javascript" src="../jscript/vform/vform.js"></script>

<script language="javascript">
var tab1_champ=new Array(
	"nom:code ; format:alphanum ; req:Y ; txt:Code ; lmx:10 ; stok:frmok ; stbad:frmbad",
	"nom:desc ; format:txt ; req:Y ; txt:Descriptif ; lmx:40 ; stok:frmok ; stbad:frmbad",
	"nom:email ; format:mail ; req:Y ; txt:Email ; lmx:50 ; stok:frmok ; stbad:frmbad");
</script>

<!-- Scripts Javascript pour alertes -->
<script language="JavaScript" src="../jscript/alertes.js"></script>

<!-- Scripts Javascript divers -->
<script language="JavaScript" src="../jscript/divers.js"></script>

</head>

<?PHP if ($td == "del") 
{
?>
<body onLoad="warndelddet();metReadonly();">
<?PHP } else { ?>
<body onLoad="metFocus();">
<?PHP } ?>

<?php 
	include_once("../inc/entete.inc.php"); 

if ($pbm_dded == FALSE)
{
?>
<p align="center"> <span class="titrepage"><?PHP echo $titre ?></span></p>
<table width="100%"  border="0">
  <tr>
	<td width="33%"><strong><em><a href="dded_lst.php">Retour &agrave; la liste</a></em></strong></td>
	<td width="33%">
	<div id="oblig" align="center" class="annot_gras_it">(<img src="../img/oblig.gif" width="10" height="11" alt="Champ obligatoire"> : Saisie obligatoire)</div>
	</td>
	<td width="33%"><div align="right"><strong><em></em> </strong></div></td>
  </tr>
</table>
<form name="dded_maj" id="dded_maj" method="post" action="dded_enr.php" onSubmit="javascript:; return (VForm(this,tab1_champ,'',''));">
		  <input name="titre" type="hidden" id="titre" value="<?PHP echo $titre ?>">
		  <input name="td" type="hidden" id="td" value="<?PHP echo $td ?>">
	
	<table width="100%"  border="0">
		<tr>
		  <td width="25%" class="rubfrm" id="f_code"><div align="right">Code</div></td>
		  <td>
		  <?PHP if ($td == "add") { ?>
			  <input name="code" type="text" id="code" value="<?PHP echo $dded_code ?>" size="10" maxlength="10" onChange="javascript:this.value=this.value.toUpperCase();">
			  <img src="../img/oblig.gif" width="10" height="11" alt="Champ obligatoire">
		  <?PHP } else { ?>
			  <input name="code" type="text" id="code" value="<?PHP echo $dded_code ?>" size="10" maxlength="10" readonly="1">
		  <?PHP } ?>
		  </td>
		</tr>
		<tr>
			<td width="25%" class="rubfrm" id="f_desc"><div align="right">Libell&eacute;</div></td>
			<td>
				<input name="desc" type="text" id="desc" value="<?PHP echo htmlspecialchars($dded_desc) ?>" size="40" onChange="javascript:this.value=this.value.toUpperCase();"> <img src="../img/oblig.gif" width="10" height="11" alt="Champ obligatoire">
			</td>
		</tr>
		<tr>
		  <td width="25%" class="rubfrm" id="f_pub"><div align="right">Accessible publiquement</div></td>
		  <td>
			<?PHP 
			if ($td == "add")
			{ 
				echo "<select name=\"pub\" size=\"1\" id=\"pub\">";
				echo "<option value=\"Oui\">Oui</option>";
				echo "<option value=\"Non\" selected>Non</option>";
				echo "</select>";
			}
			
			if (($td == "edit") OR ($td == "del"))
			{ 
				if ($dded_pub == 1)
				{
					echo "<select name=\"pub\" size=\"1\" id=\"pub\">";
					echo "<option value=\"Oui\" selected>Oui</option>";
					echo "<option value=\"Non\">Non</option>";
					echo "</select>";
				}
				else
				{
					echo "<select name=\"pub\" size=\"1\" id=\"pub\">";
					echo "<option value=\"Oui\">Oui</option>";
					echo "<option value=\"Non\" selected>Non</option>";
					echo "</select>";
				}
			}
			?>
			<img src="../img/oblig.gif" width="10" height="11" alt="Champ obligatoire">
			</td>
		</tr>
		<tr>
		  <td width="25%" class="rubfrm" id="f_cli"><div align="right">Accessible par les clients* </div></td>
		  <td>
			<?PHP 
			if ($td == "add")
			{ 
				echo "<select name=\"client\" size=\"1\" id=\"client\">";
				echo "<option value=\"Oui\">Oui</option>";
				echo "<option value=\"Non\" selected>Non</option>";
				echo "</select>";
			}
			
			if (($td == "edit") OR ($td == "del"))
			{ 
				if ($dded_cli == 1)
				{
					echo "<select name=\"client\" size=\"1\" id=\"client\">";
					echo "<option value=\"Oui\" selected>Oui</option>";
					echo "<option value=\"Non\">Non</option>";
					echo "</select>";
				}
				else
				{
					echo "<select name=\"client\" size=\"1\" id=\"client\">";
					echo "<option value=\"Oui\">Oui</option>";
					echo "<option value=\"Non\" selected>Non</option>";
					echo "</select>";
				}
			}
			?>
			<img src="../img/oblig.gif" width="10" height="11" alt="Champ obligatoire">
			</td>
		</tr>
		<tr>
		  <td width="25%" class="rubfrm" id="f_age"><div align="right">Accessible par les agences* </div></td>
		  <td>
			<?PHP 
			if ($td == "add")
			{ 
				echo "<select name=\"age\" size=\"1\" id=\"age\">";
				echo "<option value=\"Oui\">Oui</option>";
				echo "<option value=\"Non\" selected>Non</option>";
				echo "</select>";
			}
			
			if (($td == "edit") OR ($td == "del"))
			{ 
				if ($dded_age == 1)
				{
					echo "<select name=\"age\" size=\"1\" id=\"age\">";
					echo "<option value=\"Oui\" selected>Oui</option>";
					echo "<option value=\"Non\">Non</option>";
					echo "</select>";
				}
				else
				{
					echo "<select name=\"age\" size=\"1\" id=\"age\">";
					echo "<option value=\"Oui\">Oui</option>";
					echo "<option value=\"Non\" selected>Non</option>";
					echo "</select>";
				}
			}
			?>
			<img src="../img/oblig.gif" width="10" height="11" alt="Champ obligatoire">
		</tr>
		<tr>
		  <td width="25%" class="rubfrm" id="f_tec"><div align="right">Accessible par les techniciens* </div></td>
		  <td>
			<?PHP 
			if ($td == "add")
			{ 
				echo "<select name=\"tec\" size=\"1\" id=\"tec\">";
				echo "<option value=\"Oui\">Oui</option>";
				echo "<option value=\"Non\" selected>Non</option>";
				echo "</select>";
			}
			
			if (($td == "edit") OR ($td == "del"))
			{ 
				if ($dded_tec == 1)
				{
					echo "<select name=\"tec\" size=\"1\" id=\"tec\">";
					echo "<option value=\"Oui\" selected>Oui</option>";
					echo "<option value=\"Non\">Non</option>";
					echo "</select>";
				}
				else
				{
					echo "<select name=\"tec\" size=\"1\" id=\"tec\">";
					echo "<option value=\"Oui\">Oui</option>";
					echo "<option value=\"Non\" selected>Non</option>";
					echo "</select>";
				}
			}
			?>
			<img src="../img/oblig.gif" width="10" height="11" alt="Champ obligatoire">
		</tr>
		<tr>
		  <td width="25%" class="rubfrm" id="f_ope"><div align="right">Accessible par les op&eacute;rateurs* </div></td>
		  <td>
			<?PHP 
			if ($td == "add")
			{ 
				echo "<select name=\"ope\" size=\"1\" id=\"ope\">";
				echo "<option value=\"Oui\">Oui</option>";
				echo "<option value=\"Non\" selected>Non</option>";
				echo "</select>";
			}
			
			if (($td == "edit") OR ($td == "del"))
			{ 
				if ($dded_ope == 1)
				{
					echo "<select name=\"ope\" size=\"1\" id=\"ope\">";
					echo "<option value=\"Oui\" selected>Oui</option>";
					echo "<option value=\"Non\">Non</option>";
					echo "</select>";
				}
				else
				{
					echo "<select name=\"ope\" size=\"1\" id=\"ope\">";
					echo "<option value=\"Oui\">Oui</option>";
					echo "<option value=\"Non\" selected>Non</option>";
					echo "</select>";
				}
			}
			?>
			<img src="../img/oblig.gif" width="10" height="11" alt="Champ obligatoire">
		</tr>
		<tr>
		  <td width="25%" class="rubfrm" id="f_cge"><div align="right">Accessible par le si&egrave;ge* </div></td>
		  <td>
			<?PHP 
			if ($td == "add")
			{ 
				echo "<select name=\"cge\" size=\"1\" id=\"cge\">";
				echo "<option value=\"Oui\">Oui</option>";
				echo "<option value=\"Non\" selected>Non</option>";
				echo "</select>";
			}
			
			if (($td == "edit") OR ($td == "del"))
			{ 
				if ($dded_cge == 1)
				{
					echo "<select name=\"cge\" size=\"1\" id=\"cge\">";
					echo "<option value=\"Oui\" selected>Oui</option>";
					echo "<option value=\"Non\">Non</option>";
					echo "</select>";
				}
				else
				{
					echo "<select name=\"cge\" size=\"1\" id=\"cge\">";
					echo "<option value=\"Oui\">Oui</option>";
					echo "<option value=\"Non\" selected>Non</option>";
					echo "</select>";
				}
			}
			?>
			<img src="../img/oblig.gif" width="10" height="11" alt="Champ obligatoire">
		</tr>
		<tr>
		  <td width="25%" class="rubfrm" id="f_stt"><div align="right">Accessible par les techniciens sous-traitants* </div></td>
		  <td>
			<?PHP 
			if ($td == "add")
			{ 
				echo "<select name=\"stt\" size=\"1\" id=\"stt\">";
				echo "<option value=\"Oui\">Oui</option>";
				echo "<option value=\"Non\" selected>Non</option>";
				echo "</select>";
			}
			
			if (($td == "edit") OR ($td == "del"))
			{ 
				if ($dded_stt == 1)
				{
					echo "<select name=\"stt\" size=\"1\" id=\"stt\">";
					echo "<option value=\"Oui\" selected>Oui</option>";
					echo "<option value=\"Non\">Non</option>";
					echo "</select>";
				}
				else
				{
					echo "<select name=\"stt\" size=\"1\" id=\"stt\">";
					echo "<option value=\"Oui\">Oui</option>";
					echo "<option value=\"Non\" selected>Non</option>";
					echo "</select>";
				}
			}
			?>
			<img src="../img/oblig.gif" width="10" height="11" alt="Champ obligatoire">
		</tr>
		<tr>
		  <td width="25%" class="rubfrm" id="f_st"><div align="right">Accessible par les sous-traitants* </div></td>
		  <td>
			<?PHP 
			if ($td == "add")
			{ 
				echo "<select name=\"st\" size=\"1\" id=\"st\">";
				echo "<option value=\"Oui\">Oui</option>";
				echo "<option value=\"Non\" selected>Non</option>";
				echo "</select>";
			}
			
			if (($td == "edit") OR ($td == "del"))
			{ 
				if ($dded_st == 1)
				{
					echo "<select name=\"st\" size=\"1\" id=\"st\">";
					echo "<option value=\"Oui\" selected>Oui</option>";
					echo "<option value=\"Non\">Non</option>";
					echo "</select>";
				}
				else
				{
					echo "<select name=\"st\" size=\"1\" id=\"st\">";
					echo "<option value=\"Oui\">Oui</option>";
					echo "<option value=\"Non\" selected>Non</option>";
					echo "</select>";
				}
			}
			?>
			<img src="../img/oblig.gif" width="10" height="11" alt="Champ obligatoire">
		</tr>
		<tr>
		  <td width="25%" class="rubfrm" id="f_dot"><div align="right">Accessible par les techniciens donneurs d'ordres* </div></td>
		  <td>
			<?PHP 
			if ($td == "add")
			{ 
				echo "<select name=\"dot\" size=\"1\" id=\"dot\">";
				echo "<option value=\"Oui\">Oui</option>";
				echo "<option value=\"Non\" selected>Non</option>";
				echo "</select>";
			}
			
			if (($td == "edit") OR ($td == "del"))
			{ 
				if ($dded_dot == 1)
				{
					echo "<select name=\"dot\" size=\"1\" id=\"dot\">";
					echo "<option value=\"Oui\" selected>Oui</option>";
					echo "<option value=\"Non\">Non</option>";
					echo "</select>";
				}
				else
				{
					echo "<select name=\"dot\" size=\"1\" id=\"dot\">";
					echo "<option value=\"Oui\">Oui</option>";
					echo "<option value=\"Non\" selected>Non</option>";
					echo "</select>";
				}
			}
			?>
			<img src="../img/oblig.gif" width="10" height="11" alt="Champ obligatoire">
		</tr>
		<tr>
		  <td width="25%" class="rubfrm" id="f_do"><div align="right">Accessible par les donneurs d'ordres* </div></td>
		  <td>
			<?PHP 
			if ($td == "add")
			{ 
				echo "<select name=\"do\" size=\"1\" id=\"do\">";
				echo "<option value=\"Oui\">Oui</option>";
				echo "<option value=\"Non\" selected>Non</option>";
				echo "</select>";
			}
			
			if (($td == "edit") OR ($td == "del"))
			{ 
				if ($dded_do == 1)
				{
					echo "<select name=\"do\" size=\"1\" id=\"do\">";
					echo "<option value=\"Oui\" selected>Oui</option>";
					echo "<option value=\"Non\">Non</option>";
					echo "</select>";
				}
				else
				{
					echo "<select name=\"do\" size=\"1\" id=\"do\">";
					echo "<option value=\"Oui\">Oui</option>";
					echo "<option value=\"Non\" selected>Non</option>";
					echo "</select>";
				}
			}
			?>
			<img src="../img/oblig.gif" width="10" height="11" alt="Champ obligatoire">
		</tr>
		<tr>
		  <td width="25%" class="rubfrm" id="f_email"><div align="right">Email**</div></td>
		  <td>
			  <input name="email" type="text" id="email" value="<?PHP echo $dded_email ?>" size="50" maxlength="50" onChange="javascript:this.value=this.value.toLowerCase();">
			  <img src="../img/oblig.gif" width="10" height="11" alt="Champ obligatoire">
		</tr>
	  </table>
	  <span class="annot_petit_it">* Par l'espace priv&eacute; / ** N'appara&icirc;tra pas sur les demandes.</span><br>
	  
	  <p align="center">
		<?PHP if (($td == "add") OR ($td == "edit")) { ?>
		<input name="RAZ" type="reset" class="bton_fmarr_std" id="RAZ" value="R&eacute;initialiser">
		<input name="submit" type="submit" class="bton_fmarr_std" id="submit" value="Enregistrer">
		<?PHP } ?>
		<?PHP if ($td == "del") { ?>
		<input name="del" type="submit" class="bton_fmarr_std" id="del" value="Supprimer">
		<input name="annul" type="button" class="bton_fmarr_std" id="annul" value="Annuler" onclick="javascript:; history.back();">
		<?PHP } ?>
	  </p>
	</form>
<?php 
}
else
{
?>
	<script type="text/javascript">
	setTimeout("self.location.href=('dded_lst.php');",2000)
	</script>
<?PHP
}
include_once("pied.php");
?>